@import "./normalize.min.css";


body{
    /* background-color: #097965; */
    background: url("https://images.photowall.com/products/51373/football-field.jpg?h=699&q=85");
    background-repeat: no-repeat;
    background-size: cover;
    background-position:0 0;
}

.field{
    position: relative;
    width: 1700px;
}

img{
    max-height: 160px;
}

.link{
    color: white;
    text-decoration: none;
    font-size: 18px;
}

.link:hover{
    color: black;
    font-size: 20px;
}

.card{
    width: 230px;
    height: 250px;
    position: absolute;
    bottom: -550px;
    border-radius: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    text-align: center;
    font-size: 10px;
    transform-origin:bottom;
    box-shadow: 0px 10px 5px 0px rgba(0,0,0,0.75);
}


.card:first-child{
    animation: rotate 14s linear  infinite  ;
    background-color: red;
}
 
.card:nth-child(2){
    animation: rotate 14s linear  infinite   ;
    animation-delay: -2s;
    background-color: orange;

}
.card:nth-child(3){
    animation: rotate 14s linear  infinite   ;
    animation-delay: -4s;
    background-color: rgb(214, 214, 62);

}
.card:nth-child(4){
    animation: rotate 14s linear  infinite ;
    animation-delay: -6s;
    background-color: green;

}.card:nth-child(5){
    animation: rotate 14s linear  infinite ;
    animation-delay: -8s;
    background-color: rgba(50, 122, 230);

}.card:nth-child(6){
    animation: rotate 14s linear  infinite ;
    animation-delay: -10s;
    background-color: blue;

}.card:last-child{
    animation: rotate 14s linear  infinite ;
    animation-delay:-12s;
    background-color: purple;
}

.field:hover .card{
    animation-play-state: paused;
} 


 @keyframes rotate{ 
 0%{
    left: 0%;
    z-index: 1;
    height: 300px;
}
20%{
    left: 22%;
    height: 360px;
}
36%{
    height: 400px;
}
45%{
    left: 47%;
}
56%{
    height: 400px;
}
80%{
    height: 360px;

}
86%{
    left: 90%;
    height: 300px;
}
100%{
    left: 0%;
    height: 300px;
    z-index: -1;
}
} 

.wrapper__img{
    width: 140px;
}

.card__img{
    width: 100%;
}
